Subject: Re: [bug#29295] [PATCH] Few small patches for messaging.

From: Rutger Helling <[email-masked]>
Date: Tue, 21 Nov 2017 09:56:57 +0100

Hi Ludo and Clément, 

I wasn't verbose enough in my previous mail. When I connect on the
command line I do get to the freetalk prompt and the logs say the client
is connected.
However, normally it should also say "Authenticated as [email-masked]"
in the logs which it doesn't. I'm also unable to add buddies. So while I
do get a prompt on the command line, the authenticating does seems to
fail. 

On 2017-11-21 09:42, [email-masked] wrote:

> Hi Rutger,
> 
> (+ Cc: Clément who worked on this before.)
> 
> Rutger Helling <[email-masked]> skribis:
> 
>> I've looked into the failing test but have been unable to fix it
>> unfortunately. I suspect it's an issue with freetalk though. 
>> 
>> When I use freetalk to try to connect to my running prosody 0.10 service
>> I get the same problem as with the failing test. It stays stuck on the
>> 'Authenticating' phase. 
>> 
>> When I use a different client such as Pidgin to connect to my prosody
>> service it connects immediately.
> 
> OK, it does sound like a Freetalk issue, in which case we should just go
> ahead and update Prosody, and report the issue to [email-masked].
> 
> Clément, any ideas?
> 
> Thanks,
> Ludo'.